PDA

Visualizza la versione completa : problemi con emerge


pauloref
19-11-2004, 18:43
ogni volta che uso emerge al inizio del operazione mi da il seguente errore:



!!! Your current profile is deprecated and not supported anymore.
!!! Please upgrade to the following profile if possible:
default-linux/x86/2004.2

To upgrade do the following steps:
# emerge -n '>=sys-apps/portage-2.0.51'
# cd /etc/
# rm make.profile
# ln -s ../usr/portage/profiles/default-linux/x86/2004.3 make.profile


ho provato a seguire le instruzioni date :dh: :dh: ma ip problema persiste, qualchuno a qualche idea??? :bh:

pauloref
19-11-2004, 18:49
ecco, l'ho risolto :unz: :unz:

ma, mi rimane un problema di ricompilazione per qualche pachetto(k3b e letori multimediali):

make[2]: *** [playdv] Error 1
make[2]: Leaving directory `/var/tmp/portage/libdv-0.99-r1/work/libdv-0.99/playdv'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/libdv-0.99-r1/work/libdv-0.99'
make: *** [all] Error 2

!!! ERROR: media-libs/libdv-0.99-r1 failed.
!!! Function src_compile, Line 39, Exitcode 2
!!! compile problem
!!! If you need support, post the topmost build error, NOT this status message.


e quando do emerge --sync mi ariva questo problema qui:

>>> Updating Portage cache... \Fatal Python error: GC object already tracked
Aborted


qualchuno a qualche Idea su comme risolvere questi problemi?
:cry: :cry: :cry:

andy caps
19-11-2004, 19:44
provato a dare emerge-webrsync ?

prova anche emerge -p --deep world
per vedere se downgrada altri file

pauloref
19-11-2004, 20:13
ecco l'errore:

bash-2.05b# emerge-webrsync
Fetching most recent snapshot
Attempting to fetch file dated: 20041119
--- No md5sum present on the mirror. (Not yet available.)

andy caps
19-11-2004, 20:31
cambia i mirror nel make.conf
metti questi

GENTOO_MIRRORS="http://www.die.unipd.it/pub/Linux/distributions/gentoo-sources/ http://212.219.247.15/sites/www.ibiblio.org/gentoo/ http://212.219.247.14/sites/www.ibiblio.org/gentoo/ http://212.219.247.13/sites/www.ibiblio.org/gentoo/ http://212.219.247.17/sites/www.ibiblio.org/gentoo/ http://212.219.247.12/sites/www.ibiblio.org/gentoo/"


oppure

GENTOO_MIRRORS="http://ftp.easynet.nl/mirror/gentoo/ ftp://ftp.easynet.nl/mirror/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo"

pauloref
19-11-2004, 20:44
perch?? i miei non vanno bene??? :bh: :bh:

pauloref
19-11-2004, 20:46
il risultato del emerge -p --deep world, te lo posto qui??

:dh:

andy caps
19-11-2004, 20:53
--deep ti aggiorna anche le dipendenze profonde e forse risolvi

pauloref
19-11-2004, 21:14
si, ma non so se riesco ad emergere 500 programi sensa un errore?? :dh: :dh:

pauloref
19-11-2004, 21:14
e per i server????? :bh:

Loading